#!/usr/bin/perl
#
# Copyright Chris Hill, Automotive Products plc, 1997
# 
#
# Script to export FW-1 accounting information
#
# Input  : all accounting files in current directory
# Output : export accounting files
#   
#
# Called as follows:
#
# fwexport.pl 
#
#

print "********** fwexport start ****************\n";

$dir = "/opt/SUNWfw/log/";

opendir DIR, $dir;
@logs = grep /\.alog$/, readdir DIR;
closedir DIR;

# export each file

foreach $log (@logs)
{
  next if $log =~ /^fw\.alog/;
  $logfile = "$dir$log";
  $export = $logfile;
  $export =~ s/(.*)alog/$1export/;

 print "exporting $logfile to $export\n";
 `/opt/SUNWfw/bin/fw logexport -n -i $logfile -o $export`;
}

print "********** fwexport end ****************\n";
